Reactivate Rules
curl --request POST \
--url https://api.example.com/api/policies/rules/activate \
--header 'Content-Type: application/json' \
--data '
{
"rule_pack_id": "<string>",
"import_id": "<string>",
"rule_pack_scenario_id": "<string>",
"rule_ids": [
{}
]
}
'import requests
url = "https://api.example.com/api/policies/rules/activate"
payload = {
"rule_pack_id": "<string>",
"import_id": "<string>",
"rule_pack_scenario_id": "<string>",
"rule_ids": [{}]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
rule_pack_id: '<string>',
import_id: '<string>',
rule_pack_scenario_id: '<string>',
rule_ids: [{}]
})
};
fetch('https://api.example.com/api/policies/rules/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"activated_custom_count": 3,
"activated_custom_rule_ids": [
"cust_abc123_require_risk_disclosure",
"cust_abc123_past_performance_disclaimer",
"cust_abc123_no_specific_client_returns"
],
"activated_default_count": 0,
"activated_default_rule_ids": [],
"errors": []
}
Custom Policies
Reactivate Rules
Reactivate previously deactivated rules
POST
/
api
/
policies
/
rules
/
activate
Reactivate Rules
Reactivate rules that were previously deactivated. Custom rules have their status set back to active. Default rules are removed from your deactivated list.
This endpoint is for re-activating previously deactivated rules. To activate rules from a new policy import for the first time, use POST /api/policies/import//activate instead.
Request Body
string
Reactivate all rules in a rule pack (e.g.,
sec_finra_comms_v2)string
Reactivate all custom rules from this import
string
Reactivate all default rules in a scenario
array
Array of rule ID strings to reactivate (custom or default)
At least one field is required. Multiple fields can be combined in a single request.
Response
integer
Number of custom rules reactivated
array
List of reactivated custom rule IDs
integer
Number of default rules reactivated
array
List of reactivated default rule IDs
array
List of error messages for rules that could not be activated. Empty array when no errors.
{
"activated_custom_count": 3,
"activated_custom_rule_ids": [
"cust_abc123_require_risk_disclosure",
"cust_abc123_past_performance_disclaimer",
"cust_abc123_no_specific_client_returns"
],
"activated_default_count": 0,
"activated_default_rule_ids": [],
"errors": []
}
Example
curl -X POST "https://{api-url}/api/policies/rules/activate" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"rule_pack_id": "sec_finra_comms_v2"}'
curl -X POST "https://{api-url}/api/policies/rules/activate" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"import_id": "550e8400-e29b-41d4-a716-446655440000"}'
⌘I

